#include <iostream>
#include "BalanceSlider.h"

BalanceSlider::BalanceSlider (RioAudio *audio, Window *parent,
                              const char *name)
    : Slider (-50, 50, 0, 2, "L", "R", parent, true, name)
{
    this->audio = audio;
    if (!audio)
        disable();
    else
        setCur (audio->getBalance() / 2);
}

void
BalanceSlider::update (double val)
{
    cerr << "BalanceSlider::updated (" << val << ")" << endl;
    audio->setBalance ((int)val * 2);
}
