#ifndef _UNIX_SERVER_SOCKET_H_
#define _UNIX_SERVER_SOCKET_H_
#include <qobject.h>
#include <qsocket.h>
#include <qserversocket.h>

class UnixServerSocket : public QServerSocket
{
    Q_OBJECT
public:
    UnixServerSocket (const char *path, QObject *parent=0, const char *name=0);
    ~UnixServerSocket ();

public:
    void newConnection (int socket);
signals:
    void connectionEstablished (int qsock);
};
#endif // _UNIX_SERVER_SOCKET_H_

