#ifndef _RIO_AUDIO_H_
#define _RIO_AUDIO_H_
class RioAudio
{
public:
    RioAudio (const char *dev);

public:
    void setVolume (int vol);
    int  getVolume (void);

    void setBalance (int bal);
    int  getBalance (void);

    void setTreble (int lev);
    int  getTreble (void);

    void setBass (int lev);
    int  getBass (void);

    void setSWMute (bool state);
    bool getSWMute (void);

    void setHWMute (bool state);
    bool getHWMute (void);

private:
    void _setVolume (int lchan, int rchan);
    void  _getVolume (int *lchan, int *rchan);
    void _setBalance (int bal);
    int  _getBalance (void);

private:
    int fdmixer;
    int balance;
    int volume;
    int devmask;
};

#endif // _RIO_AUDIO_H_
