#ifndef _THREAD_H_
#define _THREAD_H_
#include <pthread.h>

class Thread
{
typedef void (Thread::*ThreadMemberFn)(void *arg);
public:
    Thread (bool start_now = false, void *arg = NULL);
    ~Thread();

public:
    int start ();

private:
    virtual void func (void *arg = NULL);
    static void *trampoline (void *obj);
    ThreadMemberFn callback;

private:
    pthread_t thread;
    void *arg;
};
#endif // _THREAD_H_
