#include "fonts.h"
static uint32_t A[] = {
    12,
    0x0070, /* ....XXX..... */
    0x0070, /* ....XXX..... */
    0x00d8, /* ...XX.XX.... */
    0x00d8, /* ...XX.XX.... */
    0x00d8, /* ...XX.XX.... */
    0x018c, /* ..XX...XX... */
    0x018c, /* ..XX...XX... */
    0x01fc, /* ..XXXXXXX... */
    0x03fe, /* .XXXXXXXXX.. */
    0x0306, /* .XX.....XX.. */
    0x0306, /* .XX.....XX.. */
    0x0603, /* XX.......XX. */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
};
static uint32_t B[] = {
    11,
    0x00ff, /* XXXXXXXX... */
    0x01ff, /* XXXXXXXXX.. */
    0x0183, /* XX.....XX.. */
    0x0183, /* XX.....XX.. */
    0x0083, /* XX.....X... */
    0x00ff, /* XXXXXXXX... */
    0x01ff, /* XXXXXXXXX.. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0103, /* XX......X.. */
    0x00ff, /* XXXXXXXX... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t C[] = {
    11,
    0x00f8, /* ...XXXXX... */
    0x01fe, /* .XXXXXXXX.. */
    0x0386, /* .XX....XXX. */
    0x0107, /* XXX.....X.. */
    0x0003, /* XX......... */
    0x0003, /* XX......... */
    0x0003, /* XX......... */
    0x0003, /* XX......... */
    0x0103, /* XX......X.. */
    0x0386, /* .XX....XXX. */
    0x01fe, /* .XXXXXXXX.. */
    0x00f8, /* ...XXXXX... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t D[] = {
    11,
    0x007f, /* XXXXXXX.... */
    0x01ff, /* XXXXXXXXX.. */
    0x0183, /* XX.....XX.. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0183, /* XX.....XX.. */
    0x0183, /* XX.....XX.. */
    0x007f, /* XXXXXXX.... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t E[] = {
    10,
    0x01ff, /* XXXXXXXXX. */
    0x01ff, /* XXXXXXXXX. */
    0x0003, /* XX........ */
    0x0003, /* XX........ */
    0x0003, /* XX........ */
    0x01ff, /* XXXXXXXXX. */
    0x01ff, /* XXXXXXXXX. */
    0x0003, /* XX........ */
    0x0003, /* XX........ */
    0x0003, /* XX........ */
    0x01ff, /* XXXXXXXXX. */
    0x01ff, /* XXXXXXXXX. */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
};
static uint32_t F[] = {
    0,
    0x00ff, /* XXXXXXXX. */
    0x00ff, /* XXXXXXXX. */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x007f, /* XXXXXXX.. */
    0x007f, /* XXXXXXX.. */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t G[] = {
    12,
    0x01f8, /* ...XXXXXX... */
    0x03fe, /* .XXXXXXXXX.. */
    0x0702, /* .X......XXX. */
    0x0203, /* XX.......X.. */
    0x0003, /* XX.......... */
    0x0003, /* XX.......... */
    0x07c3, /* XX....XXXXX. */
    0x07c3, /* XX....XXXXX. */
    0x0607, /* XXX......XX. */
    0x0706, /* .XX.....XXX. */
    0x07fe, /* .XXXXXXXXXX. */
    0x01f8, /* ...XXXXXX... */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
};
static uint32_t H[] = {
    11,
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x03ff, /* XXXXXXXXXX. */
    0x03ff, /* XXXXXXXXXX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t I[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t J[] = {
    9,
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c3, /* XX....XX. */
    0x00e3, /* XX...XXX. */
    0x007e, /* .XXXXXX.. */
    0x003c, /* ..XXXX... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t K[] = {
    11,
    0x0383, /* XX.....XXX. */
    0x0183, /* XX.....XX.. */
    0x00c3, /* XX....XX... */
    0x0063, /* XX...XX.... */
    0x0033, /* XX..XX..... */
    0x007b, /* XX.XXXX.... */
    0x00ef, /* XXXX.XXX... */
    0x00c7, /* XXX...XX... */
    0x01c3, /* XX....XXX.. */
    0x0183, /* XX.....XX.. */
    0x0383, /* XX.....XXX. */
    0x0303, /* XX......XX. */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t L[] = {
    10,
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x00ff, /* XXXXXXXX. */
    0x00ff, /* XXXXXXXX. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t M[] = {
    11,
    0x0707, /* XXX.....XXX. */
    0x0707, /* XXX.....XXX. */
    0x078f, /* XXXX...XXXX. */
    0x078f, /* XXXX...XXXX. */
    0x068b, /* XX.X...X.XX. */
    0x06db, /* XX.XX.XX.XX. */
    0x06db, /* XX.XX.XX.XX. */
    0x06db, /* XX.XX.XX.XX. */
    0x0673, /* XX..XXX..XX. */
    0x0673, /* XX..XXX..XX. */
    0x0673, /* XX..XXX..XX. */
    0x0623, /* XX...X...XX. */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
};
static uint32_t N[] = {
    10,
    0x0303, /* XX......XX. */
    0x0307, /* XXX.....XX. */
    0x030f, /* XXXX....XX. */
    0x030f, /* XXXX....XX. */
    0x031b, /* XX.XX...XX. */
    0x0333, /* XX..XX..XX. */
    0x0333, /* XX..XX..XX. */
    0x0363, /* XX...XX.XX. */
    0x03c3, /* XX....XXXX. */
    0x03c3, /* XX....XXXX. */
    0x0383, /* XX.....XXX. */
    0x0303, /* XX......XX. */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t O[] = {
    12,
    0x00f8, /* ...XXXXX.... */
    0x03fe, /* .XXXXXXXXX.. */
    0x0306, /* .XX.....XX.. */
    0x0607, /* XXX......XX. */
    0x0603, /* XX.......XX. */
    0x0603, /* XX.......XX. */
    0x0603, /* XX.......XX. */
    0x0603, /* XX.......XX. */
    0x0607, /* XXX......XX. */
    0x0306, /* .XX.....XX.. */
    0x03fe, /* .XXXXXXXXX.. */
    0x00f8, /* ...XXXXX.... */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
};
static uint32_t P[] = {
    10,
    0x007f, /* XXXXXXX... */
    0x00ff, /* XXXXXXXX.. */
    0x0183, /* XX.....XX. */
    0x0183, /* XX.....XX. */
    0x01c3, /* XX....XXX. */
    0x00ff, /* XXXXXXXX.. */
    0x007f, /* XXXXXXX... */
    0x0003, /* XX........ */
    0x0003, /* XX........ */
    0x0003, /* XX........ */
    0x0003, /* XX........ */
    0x0003, /* XX........ */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
};
static uint32_t Q[] = {
    12,
    0x00f8, /* ...XXXXX.... */
    0x03fe, /* .XXXXXXXXX.. */
    0x0306, /* .XX.....XX.. */
    0x0607, /* XXX......XX. */
    0x0603, /* XX.......XX. */
    0x0603, /* XX.......XX. */
    0x0603, /* XX.......XX. */
    0x0603, /* XX.......XX. */
    0x0763, /* XX...XX.XXX. */
    0x03c6, /* .XX...XXXX.. */
    0x03fe, /* .XXXXXXXXX.. */
    0x0378, /* ...XXXX.XX.. */
    0x0600, /* .........XX. */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
};
static uint32_t R[] = {
    12,
    0x00ff, /* XXXXXXXX.... */
    0x01ff, /* XXXXXXXXX... */
    0x0383, /* XX.....XXX.. */
    0x0303, /* XX......XX.. */
    0x0383, /* XX.....XXX.. */
    0x01ff, /* XXXXXXXXX... */
    0x007f, /* XXXXXXX..... */
    0x00e3, /* XX...XXX.... */
    0x01c3, /* XX....XXX... */
    0x01c3, /* XX....XXX... */
    0x0383, /* XX.....XXX.. */
    0x0703, /* XX......XXX. */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
};
static uint32_t S[] = {
    10,
    0x007c, /* ..XXXXX... */
    0x00fe, /* .XXXXXXX.. */
    0x01c7, /* XXX...XXX. */
    0x0183, /* XX.....XX. */
    0x000f, /* XXXX...... */
    0x007e, /* .XXXXXX... */
    0x00f8, /* ...XXXXX.. */
    0x01c0, /* ......XXX. */
    0x0183, /* XX.....XX. */
    0x01c7, /* XXX...XXX. */
    0x00fe, /* .XXXXXXX.. */
    0x007c, /* ..XXXXX... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
};
static uint32_t T[] = {
    11,
    0x03ff, /* XXXXXXXXXX. */
    0x03ff, /* XXXXXXXXXX. */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t U[] = {
    11,
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0303, /* XX......XX. */
    0x0387, /* XXX....XXX. */
    0x01fe, /* .XXXXXXXX.. */
    0x00fc, /* ..XXXXXX... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t V[] = {
    12,
    0x0603, /* XX.......XX. */
    0x0306, /* .XX.....XX.. */
    0x0306, /* .XX.....XX.. */
    0x0306, /* .XX.....XX.. */
    0x018c, /* ..XX...XX... */
    0x018c, /* ..XX...XX... */
    0x01dc, /* ..XXX.XXX... */
    0x00d8, /* ...XX.XX.... */
    0x00d8, /* ...XX.XX.... */
    0x0070, /* ....XXX..... */
    0x0070, /* ....XXX..... */
    0x0070, /* ....XXX..... */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
};
static uint32_t W[] = {
    18,
    0x18383, /* XX.....XXX.....XX. */
    0x1c387, /* XXX....XXX....XXX. */
    0xc7c6, /* .XX...XXXXX...XX.. */
    0xc6c6, /* .XX...XX.XX...XX.. */
    0xc6c6, /* .XX...XX.XX...XX.. */
    0x6eec, /* ..XX.XXX.XXX.XX... */
    0x6c6c, /* ..XX.XX...XX.XX... */
    0x6c6c, /* ..XX.XX...XX.XX... */
    0x7c7c, /* ..XXXXX...XXXXX... */
    0x3838, /* ...XXX.....XXX.... */
    0x3838, /* ...XXX.....XXX.... */
    0x3838, /* ...XXX.....XXX.... */
    0x0000, /* .................. */
    0x0000, /* .................. */
    0x0000, /* .................. */
    0x0000, /* .................. */
};
static uint32_t X[] = {
    10,
    0x0183, /* XX.....XX. */
    0x01c7, /* XXX...XXX. */
    0x00c6, /* .XX...XX.. */
    0x006c, /* ..XX.XX... */
    0x007c, /* ..XXXXX... */
    0x0038, /* ...XXX.... */
    0x0038, /* ...XXX.... */
    0x007c, /* ..XXXXX... */
    0x006c, /* ..XX.XX... */
    0x00c6, /* .XX...XX.. */
    0x01c7, /* XXX...XXX. */
    0x0183, /* XX.....XX. */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
};
static uint32_t Y[] = {
    11,
    0x0303, /* XX......XX. */
    0x0387, /* XXX....XXX. */
    0x0186, /* .XX....XX.. */
    0x00cc, /* ..XX..XX... */
    0x00cc, /* ..XX..XX... */
    0x0078, /* ...XXXX.... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0030, /* ....XX..... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t Z[] = {
    10,
    0x01fe, /* .XXXXXXXX. */
    0x01fe, /* .XXXXXXXX. */
    0x00c0, /* ......XX.. */
    0x0060, /* .....XX... */
    0x0070, /* ....XXX... */
    0x0030, /* ....XX.... */
    0x0018, /* ...XX..... */
    0x001c, /* ..XXX..... */
    0x000c, /* ..XX...... */
    0x0006, /* .XX....... */
    0x01ff, /* XXXXXXXXX. */
    0x01ff, /* XXXXXXXXX. */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
};
static uint32_t a[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x003e, /* .XXXXX... */
    0x007f, /* XXXXXXX.. */
    0x0063, /* XX...XX.. */
    0x0078, /* ...XXXX.. */
    0x007e, /* .XXXXXX.. */
    0x0047, /* XXX...X.. */
    0x0043, /* XX....X.. */
    0x007f, /* XXXXXXX.. */
    0x00de, /* .XXXX.XX. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t b[] = {
    9,
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x003b, /* XX.XXX... */
    0x007f, /* XXXXXXX.. */
    0x00e7, /* XXX..XXX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x007f, /* XXXXXXX.. */
    0x003b, /* XX.XXX... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t c[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x003c, /* ..XXXX.. */
    0x007e, /* .XXXXXX. */
    0x0067, /* XXX..XX. */
    0x0003, /* XX...... */
    0x0003, /* XX...... */
    0x0003, /* XX...... */
    0x0067, /* XXX..XX. */
    0x007e, /* .XXXXXX. */
    0x003c, /* ..XXXX.. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t d[] = {
    9,
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00dc, /* ..XXX.XX. */
    0x00fe, /* .XXXXXXX. */
    0x00e7, /* XXX..XXX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x00fe, /* .XXXXXXX. */
    0x00dc, /* ..XXX.XX. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t e[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x001c, /* ..XXX... */
    0x003e, /* .XXXXX.. */
    0x0063, /* XX...XX. */
    0x007f, /* XXXXXXX. */
    0x007f, /* XXXXXXX. */
    0x0003, /* XX...... */
    0x0067, /* XXX..XX. */
    0x003e, /* .XXXXX.. */
    0x001c, /* ..XXX... */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t f[] = {
    6,
    0x003c, /* ..XXXX */
    0x003c, /* ..XXXX */
    0x0006, /* .XX... */
    0x001f, /* XXXXX. */
    0x001f, /* XXXXX. */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t g[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x00dc, /* ..XXX.XX. */
    0x00fe, /* .XXXXXXX. */
    0x00c7, /* XXX...XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x00fe, /* .XXXXXXX. */
    0x00dc, /* ..XXX.XX. */
    0x00c3, /* XX....XX. */
    0x00ff, /* XXXXXXXX. */
    0x007e, /* .XXXXXX.. */
    0x0000, /* ......... */
};
static uint32_t h[] = {
    9,
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x007b, /* XX.XXXX.. */
    0x00ff, /* XXXXXXXX. */
    0x00c7, /* XXX...XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t i[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t j[] = {
    5,
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x0000, /* ..... */
    0x0000, /* ..... */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000f, /* XXXX. */
    0x0007, /* XXX.. */
    0x0000, /* ..... */
};
static uint32_t k[] = {
    8,
    0x0001, /* X....... */
    0x0003, /* XX...... */
    0x0003, /* XX...... */
    0x0063, /* XX...XX. */
    0x0033, /* XX..XX.. */
    0x001b, /* XX.XX... */
    0x001f, /* XXXXX... */
    0x003f, /* XXXXXX.. */
    0x0037, /* XXX.XX.. */
    0x0033, /* XX..XX.. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t l[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t m[] = {
    13,
    0x0000, /* ............. */
    0x0000, /* ............. */
    0x0000, /* ............. */
    0x073b, /* XX.XXX..XXX.. */
    0x0fff, /* XXXXXXXXXXXX. */
    0x0ce7, /* XXX..XXX..XX. */
    0x0c63, /* XX...XX...XX. */
    0x0c63, /* XX...XX...XX. */
    0x0c63, /* XX...XX...XX. */
    0x0c63, /* XX...XX...XX. */
    0x0c63, /* XX...XX...XX. */
    0x0c63, /* XX...XX...XX. */
    0x0000, /* ............. */
    0x0000, /* ............. */
    0x0000, /* ............. */
    0x0000, /* ............. */
};
static uint32_t n[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x007b, /* XX.XXXX.. */
    0x00ff, /* XXXXXXXX. */
    0x00c7, /* XXX...XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t o[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x003c, /* ..XXXX... */
    0x007e, /* .XXXXXX.. */
    0x00e7, /* XXX..XXX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x007e, /* .XXXXXX.. */
    0x003c, /* ..XXXX... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t p[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x003b, /* XX.XXX... */
    0x007f, /* XXXXXXX.. */
    0x00e7, /* XXX..XXX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x007f, /* XXXXXXX.. */
    0x003b, /* XX.XXX... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0003, /* XX....... */
    0x0000, /* ......... */
};
static uint32_t q[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x00dc, /* ..XXX.XX. */
    0x00fe, /* .XXXXXXX. */
    0x00e7, /* XXX..XXX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x00fe, /* .XXXXXXX. */
    0x00dc, /* ..XXX.XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x00c0, /* ......XX. */
    0x0000, /* ......... */
};
static uint32_t r[] = {
    7,
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x003b, /* XX.XXX. */
    0x003f, /* XXXXXX. */
    0x0007, /* XXX.... */
    0x0003, /* XX..... */
    0x0003, /* XX..... */
    0x0003, /* XX..... */
    0x0003, /* XX..... */
    0x0003, /* XX..... */
    0x0003, /* XX..... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t s[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x003e, /* .XXXXX.. */
    0x007f, /* XXXXXXX. */
    0x0063, /* XX...XX. */
    0x000f, /* XXXX.... */
    0x003e, /* .XXXXX.. */
    0x0070, /* ....XXX. */
    0x0063, /* XX...XX. */
    0x007f, /* XXXXXXX. */
    0x003e, /* .XXXXX.. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t t[] = {
    6,
    0x0004, /* ..X... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x001f, /* XXXXX. */
    0x001f, /* XXXXX. */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x001e, /* .XXXX. */
    0x001c, /* ..XXX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t u[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e3, /* XX...XXX. */
    0x00ff, /* XXXXXXXX. */
    0x00de, /* .XXXX.XX. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t v[] = {
    9,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0063, /* XX...XX. */
    0x0036, /* .XX.XX.. */
    0x0036, /* .XX.XX.. */
    0x0036, /* .XX.XX.. */
    0x001c, /* ..XXX... */
    0x001c, /* ..XXX... */
    0x001c, /* ..XXX... */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t w[] = {
    14,
    0x0000, /* .............. */
    0x0000, /* .............. */
    0x0000, /* .............. */
    0x18e3, /* XX...XXX...XX. */
    0x18e3, /* XX...XXX...XX. */
    0x0ce6, /* .XX..XXX..XX.. */
    0x0db6, /* .XX.XX.XX.XX.. */
    0x0db6, /* .XX.XX.XX.XX.. */
    0x0db6, /* .XX.XX.XX.XX.. */
    0x071c, /* ..XXX...XXX... */
    0x071c, /* ..XXX...XXX... */
    0x071c, /* ..XXX...XXX... */
    0x0000, /* .............. */
    0x0000, /* .............. */
    0x0000, /* .............. */
    0x0000, /* .............. */
};
static uint32_t x[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0063, /* XX...XX. */
    0x0077, /* XXX.XXX. */
    0x0036, /* .XX.XX.. */
    0x001c, /* ..XXX... */
    0x001c, /* ..XXX... */
    0x001c, /* ..XXX... */
    0x0036, /* .XX.XX.. */
    0x0077, /* XXX.XXX. */
    0x0063, /* XX...XX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t y[] = {
    10,
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0183, /* XX.....XX. */
    0x0183, /* XX.....XX. */
    0x00c6, /* .XX...XX.. */
    0x00c6, /* .XX...XX.. */
    0x006c, /* ..XX.XX... */
    0x006c, /* ..XX.XX... */
    0x007c, /* ..XXXXX... */
    0x0038, /* ...XXX.... */
    0x0038, /* ...XXX.... */
    0x0018, /* ...XX..... */
    0x001e, /* .XXXX..... */
    0x000e, /* .XXX...... */
    0x0000, /* .......... */
};
static uint32_t z[] = {
    8,
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x007f, /* XXXXXXX. */
    0x007f, /* XXXXXXX. */
    0x0030, /* ....XX.. */
    0x0038, /* ...XXX.. */
    0x001c, /* ..XXX... */
    0x000e, /* .XXX.... */
    0x0006, /* .XX..... */
    0x007f, /* XXXXXXX. */
    0x007f, /* XXXXXXX. */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t zero[] = {
    9,
    0x003c, /* ..XXXX... */
    0x007e, /* .XXXXXX.. */
    0x00e7, /* XXX..XXX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x007e, /* .XXXXXX.. */
    0x003c, /* ..XXXX... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t one[] = {
    9,
    0x0018, /* ...XX. */
    0x001c, /* ..XXX. */
    0x001e, /* .XXXX. */
    0x001b, /* XX.XX. */
    0x0019, /* X..XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t two[] = {
    9,
    0x003c, /* ..XXXX... */
    0x007e, /* .XXXXXX.. */
    0x00c7, /* XXX...XX. */
    0x00c3, /* XX....XX. */
    0x00c0, /* ......XX. */
    0x0060, /* .....XX.. */
    0x0070, /* ....XXX.. */
    0x0038, /* ...XXX... */
    0x000c, /* ..XX..... */
    0x0006, /* .XX...... */
    0x00ff, /* XXXXXXXX. */
    0x00ff, /* XXXXXXXX. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t three[] = {
    9,
    0x007c, /* ..XXXXX.. */
    0x00fe, /* .XXXXXXX. */
    0x00c7, /* XXX...XX. */
    0x00c0, /* ......XX. */
    0x0078, /* ...XXXX.. */
    0x0078, /* ...XXXX.. */
    0x00e0, /* .....XXX. */
    0x00c0, /* ......XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x00fe, /* .XXXXXXX. */
    0x007c, /* ..XXXXX.. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t four[] = {
    9,
    0x0060, /* .....XX.. */
    0x0070, /* ....XXX.. */
    0x0070, /* ....XXX.. */
    0x0078, /* ...XXXX.. */
    0x006c, /* ..XX.XX.. */
    0x006c, /* ..XX.XX.. */
    0x0066, /* .XX..XX.. */
    0x0063, /* XX...XX.. */
    0x00ff, /* XXXXXXXX. */
    0x00ff, /* XXXXXXXX. */
    0x0060, /* .....XX.. */
    0x0060, /* .....XX.. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t five[] = {
    9,
    0x007e, /* .XXXXXX.. */
    0x007e, /* .XXXXXX.. */
    0x0006, /* .XX...... */
    0x0007, /* XXX...... */
    0x003f, /* XXXXXX... */
    0x007f, /* XXXXXXX.. */
    0x00e3, /* XX...XXX. */
    0x00c0, /* ......XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x007e, /* .XXXXXX.. */
    0x003c, /* ..XXXX... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t six[] = {
    9,
    0x007c, /* ..XXXXX.. */
    0x00fe, /* .XXXXXXX. */
    0x00c6, /* .XX...XX. */
    0x0003, /* XX....... */
    0x003b, /* XX.XXX... */
    0x007f, /* XXXXXXX.. */
    0x00e7, /* XXX..XXX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c6, /* .XX...XX. */
    0x007e, /* .XXXXXX.. */
    0x003c, /* ..XXXX... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t seven[] = {
    9,
    0x00ff, /* XXXXXXXX. */
    0x00ff, /* XXXXXXXX. */
    0x0060, /* .....XX.. */
    0x0030, /* ....XX... */
    0x0030, /* ....XX... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0006, /* .XX...... */
    0x0006, /* .XX...... */
    0x0006, /* .XX...... */
    0x0006, /* .XX...... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t eight[] = {
    9,
    0x003c, /* ..XXXX... */
    0x007e, /* .XXXXXX.. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x007e, /* .XXXXXX.. */
    0x007e, /* .XXXXXX.. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x007e, /* .XXXXXX.. */
    0x003c, /* ..XXXX... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t nine[] = {
    9,
    0x003c, /* ..XXXX... */
    0x007e, /* .XXXXXX.. */
    0x0063, /* XX...XX.. */
    0x00c3, /* XX....XX. */
    0x00c3, /* XX....XX. */
    0x00e7, /* XXX..XXX. */
    0x00fe, /* .XXXXXXX. */
    0x00dc, /* ..XXX.XX. */
    0x00c0, /* ......XX. */
    0x0063, /* XX...XX.. */
    0x007f, /* XXXXXXX.. */
    0x003e, /* .XXXXX... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t backtick[] = {
    3,
    0x0003, /* XX.. */
    0x0006, /* .XX. */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
    0x0000, /* .... */
};
static uint32_t tilde[] = {
    10,
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x011e, /* .XXXX...X. */
    0x01ff, /* XXXXXXXXX. */
    0x00f1, /* X...XXXX.. */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
};
static uint32_t bang[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t at[] = {
    16,
    0x07e0, /* .....XXXXXX..... */
    0x1ff8, /* ...XXXXXXXXXX... */
    0x381c, /* ..XXX......XXX.. */
    0x66ee, /* .XXX.XXX.XX..XX. */
    0xc7f6, /* .XX.XXXXXXX...XX */
    0xc737, /* XXX.XX..XXX...XX */
    0xc71b, /* XX.XX...XXX...XX */
    0xc11b, /* XX.XX...X.....XX */
    0x711b, /* XX.XX...X...XXX. */
    0x391b, /* XX.XX...X..XXX.. */
    0x1ffb, /* XX.XXXXXXXXXX... */
    0x0f76, /* .XX.XXX.XXXX.... */
    0xe00e, /* .XXX.........XXX */
    0x781c, /* ..XXX......XXXX. */
    0x3ff8, /* ...XXXXXXXXXXX.. */
    0x0fe0, /* .....XXXXXXX.... */
};
static uint32_t hash[] = {
    11,
    0x01b0, /* ....XX.XX.. */
    0x01b0, /* ....XX.XX.. */
    0x00d8, /* ...XX.XX... */
    0x03ff, /* XXXXXXXXXX. */
    0x03ff, /* XXXXXXXXXX. */
    0x00d8, /* ...XX.XX... */
    0x006c, /* ..XX.XX.... */
    0x03ff, /* XXXXXXXXXX. */
    0x03ff, /* XXXXXXXXXX. */
    0x006c, /* ..XX.XX.... */
    0x0036, /* .XX.XX..... */
    0x0036, /* .XX.XX..... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
    0x0000, /* ........... */
};
static uint32_t dollar[] = {
    8,
    0x0008, /* ...X.... */
    0x001c, /* ..XXX... */
    0x003e, /* .XXXXX.. */
    0x006b, /* XX.X.XX. */
    0x000b, /* XX.X.... */
    0x000f, /* XXXX.... */
    0x001e, /* .XXXX... */
    0x003c, /* ..XXXX.. */
    0x0078, /* ...XXXX. */
    0x006b, /* XX.X.XX. */
    0x006b, /* XX.X.XX. */
    0x003e, /* .XXXXX.. */
    0x001c, /* ..XXX... */
    0x0008, /* ...X.... */
    0x0008, /* ...X.... */
    0x0000, /* ........ */
};
static uint32_t percent[] = {
    16,
    0x0c1e, /* .XXXX.....XX.... */
    0x0633, /* XX..XX...XX..... */
    0x0633, /* XX..XX...XX..... */
    0x0333, /* XX..XX..XX...... */
    0x01b3, /* XX..XX.XX....... */
    0x019e, /* .XXXX..XX....... */
    0x3cc0, /* ......XX..XXXX.. */
    0x64c0, /* ......XX..X..XX. */
    0x6660, /* .....XX..XX..XX. */
    0x6660, /* .....XX..XX..XX. */
    0x6630, /* ....XX...XX..XX. */
    0x3c18, /* ...XX.....XXXX.. */
    0x0000, /* ................ */
    0x0000, /* ................ */
    0x0000, /* ................ */
    0x0000, /* ................ */
};
static uint32_t caret[] = {
    8,
    0x0018, /* ...XX... */
    0x003c, /* ..XXXX.. */
    0x003c, /* ..XXXX.. */
    0x0066, /* .XX..XX. */
    0x0066, /* .XX..XX. */
    0x0066, /* .XX..XX. */
    0x00c3, /* XX....XX */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
    0x0000, /* ........ */
};
static uint32_t ampersand[] = {
    12,
    0x007c, /* ..XXXXX..... */
    0x00c6, /* .XX...XX.... */
    0x00c6, /* .XX...XX.... */
    0x00fe, /* .XXXXXXX.... */
    0x007c, /* ..XXXXX..... */
    0x003c, /* ..XXXX...... */
    0x017e, /* .XXXXXX.X... */
    0x0373, /* XX..XXX.XX.. */
    0x01e3, /* XX...XXXX... */
    0x03c3, /* XX....XXXX.. */
    0x07fe, /* .XXXXXXXXXX. */
    0x023c, /* ..XXXX...X.. */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
    0x0000, /* ............ */
};
static uint32_t splat[] = {
    6,
    0x0004, /* ..X... */
    0x001f, /* XXXXX. */
    0x0004, /* ..X... */
    0x000a, /* .X.X.. */
    0x001b, /* XX.XX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t left_paren[] = {
    5,
    0x000c, /* ..XX. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x000c, /* ..XX. */
    0x0000, /* ..... */
};
static uint32_t right_paren[] = {
    5,
    0x0003, /* XX... */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0006, /* .XX.. */
    0x0003, /* XX... */
    0x0000, /* ..... */
};
static uint32_t underscore[] = {
    10,
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x01ff, /* XXXXXXXXX. */
    0x01ff, /* XXXXXXXXX. */
    0x0000, /* .......... */
};
static uint32_t plus[] = {
    9,
    0x0000, /* ......... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x00ff, /* XXXXXXXX. */
    0x00ff, /* XXXXXXXX. */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t dash[] = {
    7,
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x003e, /* .XXXXX. */
    0x003e, /* .XXXXX. */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t equals[] = {
    10,
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x01ff, /* XXXXXXXXX. */
    0x01ff, /* XXXXXXXXX. */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x01ff, /* XXXXXXXXX. */
    0x01ff, /* XXXXXXXXX. */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
    0x0000, /* .......... */
};
static uint32_t left_bracket[] = {
    5,
    0x000f, /* XXXX. */
    0x000f, /* XXXX. */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x0003, /* XX... */
    0x000f, /* XXXX. */
    0x000f, /* XXXX. */
    0x0000, /* ..... */
};
static uint32_t right_bracket[] = {
    5,
    0x000f, /* XXXX. */
    0x000f, /* XXXX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000c, /* ..XX. */
    0x000f, /* XXXX. */
    0x000f, /* XXXX. */
    0x0000, /* ..... */
};
static uint32_t backslash[] = {
    6,
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t left_brace[] = {
    7,
    0x0038, /* ...XXX. */
    0x003c, /* ..XXXX. */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x0007, /* XXX.... */
    0x0007, /* XXX.... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x003c, /* ..XXXX. */
    0x0038, /* ...XXX. */
    0x0000, /* ....... */
};
static uint32_t right_brace[] = {
    7,
    0x0007, /* XXX.... */
    0x000f, /* XXXX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x0038, /* ...XXX. */
    0x0038, /* ...XXX. */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000c, /* ..XX... */
    0x000f, /* XXXX... */
    0x0007, /* XXX.... */
    0x0000, /* ....... */
};
static uint32_t pipe[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
};
static uint32_t semicolon[] = {
    3,
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0002, /* .X. */
    0x0002, /* .X. */
    0x0001, /* X.. */
    0x0000, /* ... */
};
static uint32_t quote[] = {
    3,
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t colon[] = {
    3,
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t double_quote[] = {
    6,
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0033, /* XX..XX. */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
    0x0000, /* ....... */
};
static uint32_t comma[] = {
    3,
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0002, /* .X. */
    0x0002, /* .X. */
    0x0001, /* X.. */
};
static uint32_t dot[] = {
    3,
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0003, /* XX. */
    0x0003, /* XX. */
    0x0000, /* ... */
    0x0000, /* ... */
    0x0000, /* ... */
};
static uint32_t slash[] = {
    6,
    0x0018, /* ...XX. */
    0x0018, /* ...XX. */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x000c, /* ..XX.. */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0006, /* .XX... */
    0x0003, /* XX.... */
    0x0003, /* XX.... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t left_angle[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0080, /* .......X. */
    0x00e0, /* .....XXX. */
    0x0078, /* ...XXXX.. */
    0x001e, /* .XXXX.... */
    0x0007, /* XXX...... */
    0x001e, /* .XXXX.... */
    0x0078, /* ...XXXX.. */
    0x00e0, /* .....XXX. */
    0x0080, /* .......X. */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t right_angle[] = {
    9,
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0001, /* X........ */
    0x0007, /* XXX...... */
    0x001e, /* .XXXX.... */
    0x0078, /* ...XXXX.. */
    0x00e0, /* .....XXX. */
    0x0078, /* ...XXXX.. */
    0x001e, /* .XXXX.... */
    0x0007, /* XXX...... */
    0x0001, /* X........ */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t question[] = {
    9,
    0x003c, /* ..XXXX... */
    0x007e, /* .XXXXXX.. */
    0x00c7, /* XXX...XX. */
    0x00c3, /* XX....XX. */
    0x00e0, /* .....XXX. */
    0x0070, /* ....XXX.. */
    0x0038, /* ...XXX... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0000, /* ......... */
    0x0018, /* ...XX.... */
    0x0018, /* ...XX.... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
    0x0000, /* ......... */
};
static uint32_t space[] = {
    6,
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
    0x0000, /* ...... */
};
static uint32_t unknown[] = {
    9,
    0x0033, /* XX..XX... */
    0x0033, /* XX..XX... */
    0x00cc, /* ..XX..XX. */
    0x00cc, /* ..XX..XX. */
    0x0033, /* XX..XX... */
    0x0033, /* XX..XX... */
    0x00cc, /* ..XX..XX. */
    0x00cc, /* ..XX..XX. */
    0x0033, /* XX..XX... */
    0x0033, /* XX..XX... */
    0x00cc, /* ..XX..XX. */
    0x00cc, /* ..XX..XX. */
    0x0033, /* XX..XX... */
    0x0033, /* XX..XX... */
    0x00cc, /* ..XX..XX. */
    0x00cc, /* ..XX..XX. */
};

/* 0 - 127, normal "ascii", anything > 127 defaults to 0 (unknown) */
uint32_t *font_arial_12[] = {
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    unknown,    unknown,       unknown,      unknown,
    space,      bang,          double_quote, hash,
    dollar,     percent,       ampersand,    quote,
    left_paren, right_paren,   splat,        plus,
    comma,      dash,          dot,          slash,
    zero,       one,           two,          three,
    four,       five,          six,          seven,
    eight,      nine,          colon,        semicolon,
    left_angle, equals,        right_angle,  question,
    at,         A,             B,            C,
    D,          E,             F,            G,
    H,          I,             J,            K,
    L,          M,             N,            O,
    P,          Q,             R,            S,
    T,          U,             V,            W,
    X,          Y,             Z,            left_bracket,
    backslash,  right_bracket, caret,        underscore,
    backtick,   a,             b,            c,
    d,          e,             f,            g,
    h,          i,             j,            k,
    l,          m,             n,            o,
    p,          q,             r,            s,
    t,          u,             v,            w,
    x,          y,             z,            left_brace,
    pipe,       right_brace,   tilde,        unknown,
    (uint32_t *)16
};


